import _extends from "@babel/runtime/helpers/extends";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

var FGCn = props => /*#__PURE__*/_jsxs("svg", _extends({
  xmlns: "http://www.w3.org/2000/svg",
  xmlnsXlink: "http://www.w3.org/1999/xlink",
  viewBox: "0 0 512 512",
  height: "1em",
  width: "1em"
}, props, {
  children: [/*#__PURE__*/_jsx("defs", {
    children: /*#__PURE__*/_jsx("path", {
      id: "prefix__a",
      fill: "#ff0",
      d: "M1-.3-.7.8 0-1 .6.8-1-.3z"
    })
  }), /*#__PURE__*/_jsx("path", {
    fill: "#ee1c25",
    d: "M0 0h512v512H0z"
  }), /*#__PURE__*/_jsx("use", {
    xlinkHref: "#prefix__a",
    width: 30,
    height: 20,
    transform: "matrix(76.8 0 0 76.8 128 128)"
  }), /*#__PURE__*/_jsx("use", {
    xlinkHref: "#prefix__a",
    width: 30,
    height: 20,
    transform: "rotate(-121 142.6 -47) scale(25.5827)"
  }), /*#__PURE__*/_jsx("use", {
    xlinkHref: "#prefix__a",
    width: 30,
    height: 20,
    transform: "rotate(-98.1 198 -82) scale(25.6)"
  }), /*#__PURE__*/_jsx("use", {
    xlinkHref: "#prefix__a",
    width: 30,
    height: 20,
    transform: "rotate(-74 272.4 -114) scale(25.6137)"
  }), /*#__PURE__*/_jsx("use", {
    xlinkHref: "#prefix__a",
    width: 30,
    height: 20,
    transform: "matrix(16 -19.968 19.968 16 256 230.4)"
  })]
}));

export { FGCn };